List Function Categories

Purpose

To retrieve all the function categories supported by the current Zoho CRM account and indicate whether each category is available for use.
 

Different Zoho CRM editions and enabled features support different function categories. Instead of assuming that a category is available, you can use this API to:

  • Discover all the function categories supported for the current CRM account.
  • Check whether a function category can be used before creating or updating a function.

For example, if a customer's Zoho CRM edition does not support the Signals function category, the response shows that the category is unavailable.

Endpoints

  • GET /settings/functions/__schemas/categories

Request Details

Request URL

{api-domain}/crm/{version}/settings/functions/__schemas/categories

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.functions.READ
(or)
ZohoCRM.settings.functions.ALL
(or)
ZohoCRM.settings.ALL

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/functions/__schemas/categories"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Response JSON

The categories JSON array contains the list of function categories available in the current Zoho CRM account.

  • allowedBoolean

    Represents whether the category is available in the current CRM account.
    Possible values: 
    true - Indicates that the function category is available for use in your Zoho CRM account.
    false - Indicates that the function category is not available for use in your Zoho CRM account due to your CRM edition, licensing, or feature configuration.

  • categorystring

    Represents the name of the category. 
    Possible values:
    Button - Functions triggered from custom buttons.
    Automation - Functions executed through automation features such as workflows, blueprints, or approvals.
    Schedule - Functions executed on a scheduled basis.
    Related List - Functions invoked from related lists.
    Standalone - Functions that can be executed independently. 
    Signals - Functions triggered by CRM Signals events.
    Validation Rule - Function executes based on the Validation Rule.

Possible Errors

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL. Specify a valid request method. Refer to the Endpoints section for more details.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to retrieve the list of available function categories for your Zoho CRM edition. Create a new access token with the required scope. Refer to the Scope section for more details.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • NO_PERMISSIONHTTP 403

    Permission denied.
    Resolution: The user does not have permission to list the supported categories. Contact your Zoho CRM administrator to obtain the required permissions.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the Request URL section for more details.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "categories": [
        {
            "allowed": true,
            "category": "Button"
        },
        {
            "allowed": true,
            "category": "Automation"
        },
        {
            "allowed": true,
            "category": "Schedule"
        },
        {
            "allowed": true,
            "category": "Related List"
        },
        {
            "allowed": true,
            "category": "Standalone"
        },
        {
            "allowed": true,
            "category": "Signals"
        },
        {
            "allowed": true,
            "category": "Validation Rule"
        },
        {
            "allowed": false,
            "category": "Dynamic"
        }
    ]
}